Bug 1069050 - Review Request: xfce4-equake-plugin - Plugin for the XFCE panel which monitors earthquakes
Summary: Review Request: xfce4-equake-plugin - Plugin for the XFCE panel which monitor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-24 03:29 UTC by Filipe Rosset
Modified: 2014-03-11 04:20 UTC (History)
2 users (show)

Fixed In Version: xfce4-equake-plugin-1.3.4-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-11 04:16:38 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Filipe Rosset 2014-02-24 03:29:23 UTC
Spec URL: http://filiperosset.fedorapeople.org/rawhide/xfce4-equake-plugin/xfce4-equake-plugin.spec
SRPM URL: http://filiperosset.fedorapeople.org/rawhide/xfce4-equake-plugin/xfce4-equake-plugin-1.3.4-1.fc21.src.rpm
Description: A panel plugin for the XFCE panel which monitors earthquakes and displays an
update each time a new earthquake occurs.

Build on mock (f19, f20, rawhide) - OK
Tested in a real f20 and rawhide installation - OK
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6563701

Fedora Account System Username: filiperosset

Comment 1 Christopher Meng 2014-02-24 03:30:51 UTC
Nice!

I packaged in the last year and ran fine.

Will review later

Comment 2 Filipe Rosset 2014-02-26 22:00:15 UTC
Great, thank you. I also run this plugin against the Xfce 4.11-dev (over F20) and it looks good, all resources still working.

Comment 3 Christopher Meng 2014-02-27 08:31:52 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "GPL (v2 or later)".
     Detailed output of licensecheck:

GPL (v2 or later)
-----------------
xfce4-equake-plugin-1.3.4/ltmain.sh

GPL (v2 or later) (with incorrect FSF address)
----------------------------------------------
xfce4-equake-plugin-1.3.4/panel-plugin/equake.c
xfce4-equake-plugin-1.3.4/panel-plugin/equake_applet.c
xfce4-equake-plugin-1.3.4/panel-plugin/equake_dat.h
xfce4-equake-plugin-1.3.4/panel-plugin/equake_func.h
xfce4-equake-plugin-1.3.4/panel-plugin/equake_images.h
xfce4-equake-plugin-1.3.4/panel-plugin/equake_processdata.c

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in xfce4-equake-plugin
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: xfce4-equake-plugin-1.3.4-1.fc21.i686.rpm
          xfce4-equake-plugin-1.3.4-1.fc21.src.rpm
xfce4-equake-plugin.i686: E: incorrect-fsf-address /usr/share/doc/xfce4-equake-plugin/README
2 packages and 0 specfiles checked; 1 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint xfce4-equake-plugin
xfce4-equake-plugin.i686: E: incorrect-fsf-address /usr/share/doc/xfce4-equake-plugin/README
1 packages and 0 specfiles checked; 1 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
xfce4-equake-plugin (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libatk-1.0.so.0
    libc.so.6
    libcairo.so.2
    libfontconfig.so.1
    libfreetype.so.6
    libgdk-x11-2.0.so.0
    libgdk_pixbuf-2.0.so.0
    libgio-2.0.so.0
    libglib-2.0.so.0
    libgmodule-2.0.so.0
    libgobject-2.0.so.0
    libgtk-x11-2.0.so.0
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    libpangoft2-1.0.so.0
    libpthread.so.0
    libxfce4panel-1.0.so.4
    libxfce4ui-1.so.0
    libxfce4util.so.6
    rtld(GNU_HASH)
    xfce4-panel



Provides
--------
xfce4-equake-plugin:
    xfce4-equake-plugin
    xfce4-equake-plugin(x86-32)



Source checksums
----------------
http://archive.xfce.org/src/panel-plugins/xfce4-equake-plugin/1.3/xfce4-equake-plugin-1.3.4.tar.bz2 :
  CHECKSUM(SHA256) this package     : cdf626f6a10b645f994738a572997cc89405ce5b5c8fd077a886b63056a0a38e
  CHECKSUM(SHA256) upstream package : cdf626f6a10b645f994738a572997cc89405ce5b5c8fd077a886b63056a0a38e


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -rvn xfce4-equake-plugin-1.3.4-1.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-------------------->8------------------------
(In reply to Filipe Rosset from comment #2)
> Great, thank you. I also run this plugin against the Xfce 4.11-dev (over
> F20) and it looks good, all resources still working.

Yes, I've tested it under GNOME/XFCE.

--------------------8<------------------------

1. Drop first 2 lines(

blank line
+
# Review: https://bugzilla.redhat.com/show_bug.cgi?id=XXX
),

rm -rf $RPM_BUILD_ROOT.

2. You can replace absolute path to just command name e.g.:

/bin/touch --> touch

3. Notify upstream about the dated FSF address.

PACKAGE APPROVED.

Comment 4 Filipe Rosset 2014-02-28 14:37:26 UTC
New Package SCM Request
=======================
Package Name: xfce4-equake-plugin
Short Description: A panel plugin for the XFCE panel which monitors earthquakes and displays an update each time a new earthquake occurs
Owners: filiperosset
Branches: f19 f20 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2014-02-28 14:45:26 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-03-02 16:39:27 UTC
xfce4-equake-plugin-1.3.4-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/xfce4-equake-plugin-1.3.4-1.fc20

Comment 7 Fedora Update System 2014-03-02 16:46:43 UTC
xfce4-equake-plugin-1.3.4-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/xfce4-equake-plugin-1.3.4-1.fc19

Comment 8 Fedora Update System 2014-03-03 03:06:45 UTC
Package xfce4-equake-plugin-1.3.4-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing xfce4-equake-plugin-1.3.4-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3327/xfce4-equake-plugin-1.3.4-1.fc20
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2014-03-11 04:16:38 UTC
xfce4-equake-plugin-1.3.4-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-03-11 04:20:08 UTC
xfce4-equake-plugin-1.3.4-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.